<?xml version="1.0"?>

<!--DOCTYPE mapping PUBLIC "-//EXOLAB/Castor Object Mapping DTD Version 1.0//EN"
                         "http://Castor.exolab.org/mapping.dtd"-->

<mapping>
  
  <class name="yi.iu.region.Region">

    <map-to xml="region"/>

    <field name="m_centroidX" type="float" direct="true">
      <bind-xml node="attribute"/>
    </field>
    <field name="m_centroidY" type="float" direct="true">
      <bind-xml node="attribute"/>
    </field>

    <field name="m_majAngle" type="double" direct="true">
      <bind-xml node="attribute"/>
    </field>
    <field name="m_majLength" type="double" direct="true">
      <bind-xml node="attribute"/>
    </field>
    <field name="m_minAngle" type="double" direct="true">
      <bind-xml node="attribute"/>
    </field>
    <field name="m_minLength" type="double" direct="true">
      <bind-xml node="attribute"/>
    </field>

    <field name="m_momentX" type="float" direct="true">
      <bind-xml node="attribute"/>
    </field>
    <field name="m_momentY" type="float" direct="true">
      <bind-xml node="attribute"/>
    </field>
    <field name="m_momentXY" type="float" direct="true">
      <bind-xml node="attribute"/>
    </field>
    
    <field name="m_size" type="integer" direct="true">
      <bind-xml node="attribute"/>
    </field>
    <field name="m_imgWidth" type="integer" direct="true">
      <bind-xml node="attribute"/>
    </field>
    <field name="m_imgHeight" type="integer" direct="true">
      <bind-xml node="attribute"/>
    </field>
    
  </class>
</mapping>

